Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.pipeline
Interface PipelineComponent

All Known Implementing Classes:
  PipelineComponentSupport, CommercePipelineComponentSupport

public interface PipelineComponent

Server side business logic lives in pipeline components. They usually represent small pieces of business logic. Pipeline components can be combined into a larger unit of work called a pipeline.

The PipelineComponents typically read the information from `PipelineSession`, process the information and then update the `PipelineSession` with updated/additional information. The PipelineComponents should return the processed `PipelineSession`.

If the execution of any `PipelineComponent` is not successful depending on how critical its execution was, it can either throw a `PipelineFatalException` or a `PipelineNonFatalException`. If `PipelineFatalException` is thrown, then the entire pipeline in which this component is participating is considered a failure. If a `PipelineNonFatalException` is thrown, then the execution of other components in this pipeline is continued.

See Also:
  `com.bea.p13n.common.PipelineSession`, `com.bea.p13n.pipeline.PipelineException`, `RemoteException`

Method Summary
`PipelineSession` | `process(PipelineSession pipelineSession, java.lang.Object requestContext)` The process method which processes the `PipelineSession` and returns the processed `PipelineSession`.

Method Detail

### process

    public PipelineSession process(PipelineSession pipelineSession,
                                   java.lang.Object requestContext)
                            throws PipelineException,
                                   java.rmi.RemoteException

  The process method which processes the `PipelineSession` and returns the processed `PipelineSession`.

  Note: This method is not allowed to return null. Returning null will cause the pipeline in which this component is participating to terminate abnormally.

  Parameters:
    ``PipelineSession`` - object
    `requestContext` - this gives the current requesting threads context-ID with which this attribute has to be stored in this namespace. If there are multiple requests using this context id the processes can avoid name collisions of attributes as well as it will be guaranteed that the attributes added in this thread are available no matter what the order of execution of the threads are. This context id will be provided to all the processors so that they can pass it along to specific processor types.
  Returns:
    `PipelineSession` the processed `PipelineSession` object
  Throws:
    `PipelineException` - indicates that the component failed to execute.
    `RemoteException` - on Remote error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved